Imports DigitalData.Modules.Database
Imports DigitalData.Modules.Logging

Namespace Methods.IDB.GetFileInfo
    Public Class GetFileInfoMethod
        Inherits BaseMethod

        Public Sub New(pLogConfig As LogConfig, pDatabaseIDB As MSSQLServer, pDatabaseECM As MSSQLServer, pGlobalState As GlobalState)
            MyBase.New(pLogConfig, pDatabaseIDB, pDatabaseECM, pGlobalState)
        End Sub

        Public Function Run(pData As GetFileInfoRequest) As GetFileInfoResponse
            Dim oFileInfo = New FileInfo() With {
                .CheckoutUser = Nothing,
                .IsCheckedOut = False
            }
            Return New GetFileInfoResponse(oFileInfo)

        End Function
    End Class
End Namespace